"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const source_scraper_core_1 = require("source-scraper-core");
const source_scraper_puppeteer_runner_1 = require("source-scraper-puppeteer-runner");
class JWPlayerRunner extends source_scraper_core_1.Runner {
    constructor() {
        super(...arguments);
        this.defaultOptions = {};
    }
    async exec(url, scraper, options) {
        return new source_scraper_puppeteer_runner_1.PuppeteerRunner().run(url, async (args) => {
            const { page } = args;
            const jwplayer = await page.evaluateHandle('jwplayer()');
            const config = await page.evaluate(player => player.getConfig(), jwplayer);
            const sources = config.playlist || [config.playlistItem] || [config];
            const poster = config.image;
            try {
                return scraper({
                    ...args,
                    jwplayer,
                    config,
                    sources,
                    poster
                });
            }
            finally {
                await jwplayer.dispose();
            }
        }, options);
    }
}
exports.JWPlayerRunner = JWPlayerRunner;
//# sourceMappingURL=JWPlayerRunner.js.map